hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lars Francke (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HBASE-3513) upgrade thrift to 0.5.0 and use mvn version
Date Thu, 10 Mar 2011 09:12:59 GMT

    [ https://issues.apache.org/jira/browse/HBASE-3513?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13005003#comment-13005003
] 

Lars Francke commented on HBASE-3513:
-------------------------------------

Oh, I never saw your answer. Sorry Ryan I never searched for _libthrift_, thanks for pointing
it out Stack. As this is a custom release by the Hadoop folks are we sure this is not in any
way customized by them?

I haven't looked at the Maven stuff in a while but by being in a custom group we might get
a different version by accident as a transitive dependency if any other project decides to
do the same as Hadoop.

> upgrade thrift to 0.5.0 and use mvn version
> -------------------------------------------
>
>                 Key: HBASE-3513
>                 URL: https://issues.apache.org/jira/browse/HBASE-3513
>             Project: HBase
>          Issue Type: Bug
>          Components: thrift
>            Reporter: ryan rawson
>            Assignee: ryan rawson
>             Fix For: 0.92.0
>
>         Attachments: HBASE-3513.txt, HBASE-3515.txt
>
>
> We should upgrade our thrift to 0.5.0, it is the latest and greatest and is in apache
maven repo.
> Doing some testing with a thrift 0.5.0 server, and an older pre-release php client shows
the two are on-wire compatible.
> Given that the upgrade is entirely on the server side, and has no wire-impact this should
be a relatively low-impact change.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message